Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2853113004: chromeos: Add settings to control power management prefs. (Closed)

Created:
3 years, 1 month ago by Daniel Erat
Modified:
2 years, 11 months ago
Reviewers:
michaelpg, hcarmona
CC:
chromium-reviews, arv+watch_chromium.org, oshima+watch_chromium.org, dbeam+watch-settings_chromium.org, srahim+watch_chromium.org, stevenjb+watch-md-settings_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

chromeos: Add settings to control power management prefs. Add settings allowing users to control the idle and lid-closed power management behavior. BUG=633455 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:closure_compilation Review-Url: https://codereview.chromium.org/2853113004 Cr-Commit-Position: refs/heads/master@{#480902} Committed: https://chromium.googlesource.com/chromium/src/+/b4400a28e45066f77cc87adc60247396f4b3875a

Patch Set 1 #

Patch Set 2 : re-add some code #

Total comments: 20

Patch Set 3 : address review comments and display more lid-closed actions #

Total comments: 20

Patch Set 4 : address more review comments #

Patch Set 5 : hide lid setting when lid not present #

Patch Set 6 : add c++ and js tests #

Total comments: 38

Patch Set 7 : apply review comments (js tests fail) #

Patch Set 8 : correct a typo and use promises to fix js tests #

Patch Set 9 : fix async call #

Total comments: 8

Patch Set 10 : address comments (a11y checks fail, though) #

Patch Set 11 : switch back from aria-labelledby to aria-label #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1081 lines, -20 lines) Patch
M chrome/app/settings_strings.grdp View 1 2 3 4 5 6 1 chunk +30 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/BUILD.gn View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/resources/settings/device_page/device_page_browser_proxy.js View 1 2 3 4 5 6 3 chunks +63 lines, -0 lines 0 comments Download
M chrome/browser/resources/settings/device_page/power.html View 1 2 3 4 5 6 7 8 9 10 2 chunks +43 lines, -0 lines 0 comments Download
M chrome/browser/resources/settings/device_page/power.js View 1 2 3 4 5 6 7 8 5 chunks +125 lines, -1 line 0 comments Download
M chrome/browser/ui/webui/settings/chromeos/device_power_handler.h View 1 2 3 4 5 6 4 chunks +91 lines, -4 lines 0 comments Download
M chrome/browser/ui/webui/settings/chromeos/device_power_handler.cc View 1 2 3 4 5 6 6 chunks +229 lines, -4 lines 0 comments Download
A chrome/browser/ui/webui/settings/chromeos/device_power_handler_unittest.cc View 1 2 3 4 5 6 1 chunk +313 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/settings/md_settings_localized_strings_provider.cc View 1 2 3 4 5 1 chunk +13 lines, -1 line 0 comments Download
M chrome/browser/ui/webui/settings/md_settings_ui.cc View 1 2 3 4 5 1 chunk +3 lines, -7 lines 0 comments Download
M chrome/test/data/webui/settings/device_page_tests.js View 1 2 3 4 5 6 7 7 chunks +170 lines, -3 lines 0 comments Download

Messages

Total messages: 45 (26 generated)
Daniel Erat
just wanted to get a basic sanity check of the approach that i'm taking here ...
3 years, 1 month ago (2017-05-02 00:58:42 UTC) #3
michaelpg
Yeah, this looks fine, LMK when you want a full review. I went ahead and ...
3 years ago (2017-05-04 17:36:27 UTC) #4
Daniel Erat
thanks for all the help and comments here; no rush in looking at this again. ...
3 years ago (2017-05-06 00:15:48 UTC) #5
michaelpg
Looking good. Some small things. https://codereview.chromium.org/2853113004/diff/40001/chrome/app/settings_strings.grdp File chrome/app/settings_strings.grdp (right): https://codereview.chromium.org/2853113004/diff/40001/chrome/app/settings_strings.grdp#newcode3069 chrome/app/settings_strings.grdp:3069: Turn off display and ...
3 years ago (2017-05-08 18:48:55 UTC) #6
use derat at chromium.org
thanks again. i'll push on the launch bug reviews and then look into adding tests ...
3 years ago (2017-05-08 23:27:18 UTC) #8
use derat at chromium.org
big note to self: i need to find some way to not display the "when ...
3 years ago (2017-05-08 23:36:33 UTC) #9
use derat at chromium.org
if you don't mind taking another look while this is still fresh, patch set 5 ...
3 years ago (2017-05-09 00:29:25 UTC) #10
Daniel Erat
i think i'm ready for the final push to try to get this in for ...
2 years, 11 months ago (2017-06-15 05:33:40 UTC) #13
michaelpg
+hcarmona to take a look at a11y test errors. Mostly nits. I don't see major ...
2 years, 11 months ago (2017-06-16 01:35:01 UTC) #18
Daniel Erat
thanks for the review! https://codereview.chromium.org/2853113004/diff/100001/chrome/app/settings_strings.grdp File chrome/app/settings_strings.grdp (right): https://codereview.chromium.org/2853113004/diff/100001/chrome/app/settings_strings.grdp#newcode3152 chrome/app/settings_strings.grdp:3152: <message name="IDS_SETTINGS_POWER_IDLE_LABEL" desc="In Device Settings ...
2 years, 11 months ago (2017-06-16 02:34:25 UTC) #19
Daniel Erat
with some help from steven, i got the tests working by adding a bunch of ...
2 years, 11 months ago (2017-06-16 20:01:03 UTC) #20
Daniel Erat
On 2017/06/16 20:01:03, Daniel Erat wrote: > with some help from steven, i got the ...
2 years, 11 months ago (2017-06-17 00:27:49 UTC) #21
hcarmona
Unfortunately our automated a11y testing is not in a great state. go/a11y-chrome-settings-design for details https://codereview.chromium.org/2853113004/diff/160001/chrome/browser/resources/settings/device_page/power.html ...
2 years, 11 months ago (2017-06-19 22:18:11 UTC) #31
michaelpg
lgtm https://codereview.chromium.org/2853113004/diff/100001/chrome/browser/ui/webui/settings/chromeos/device_power_handler.cc File chrome/browser/ui/webui/settings/chromeos/device_power_handler.cc (right): https://codereview.chromium.org/2853113004/diff/100001/chrome/browser/ui/webui/settings/chromeos/device_power_handler.cc#newcode184 chrome/browser/ui/webui/settings/chromeos/device_power_handler.cc:184: prefs_->ClearPref(prefs::kPowerAcIdleAction); On 2017/06/16 02:34:24, Daniel Erat wrote: > ...
2 years, 11 months ago (2017-06-19 22:38:07 UTC) #32
Daniel Erat
thanks! i'm still having problems with aria-labelledby, though. https://codereview.chromium.org/2853113004/diff/160001/chrome/browser/resources/settings/device_page/power.html File chrome/browser/resources/settings/device_page/power.html (right): https://codereview.chromium.org/2853113004/diff/160001/chrome/browser/resources/settings/device_page/power.html#newcode41 chrome/browser/resources/settings/device_page/power.html:41: <div ...
2 years, 11 months ago (2017-06-19 23:11:22 UTC) #33
Daniel Erat
i've switched the <select>s back from aria-labelledby to aria-label, since that doesn't trigger a warning ...
2 years, 11 months ago (2017-06-20 17:46:07 UTC) #36
hcarmona
On 2017/06/20 17:46:07, Daniel Erat wrote: > i've switched the <select>s back from aria-labelledby to ...
2 years, 11 months ago (2017-06-20 18:20:15 UTC) #37
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2853113004/200001
2 years, 11 months ago (2017-06-20 18:58:10 UTC) #41
commit-bot: I haz the power
2 years, 11 months ago (2017-06-20 19:27:36 UTC) #45
Message was sent while issue was closed.
Committed patchset #11 (id:200001) as
https://chromium.googlesource.com/chromium/src/+/b4400a28e45066f77cc87adc6024...

Powered by Google App Engine
This is Rietveld 408576698